package de.mrbesen.telegram.log;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.io.PrintStream;

@NoArgsConstructor
@AllArgsConstructor
public class SimpleLog extends Log {

	private PrintStream out = System.out;

	@Override
	public void log(String msg) {
		out.println(msg);
	}

	@Override
	public void log(String msg, Throwable t) {
		out.println(msg);
		t.printStackTrace(out);
	}
}
